﻿Type=Activity
Version=4.3
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim Const POSITION_TOP_LEFT As Int  = 1
	Dim Const POSITION_TOP_RIGHT As Int = 2
	Dim Const POSITION_BOTTOM_LEFT As Int = 3
	Dim Const POSITION_BOTTOM_RIGHT As Int = 4
	Dim Const POSITION_CENTER As Int = 5
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Private job2 As HttpJob
	Private lblNaam As Label
	
	Dim badgeBTN1, badgeBTN2, badgeBTN3, badgeBTN4, badgeBTN5 As Badger
	Private btnGeplandeWerken As Button
	Private btnListGeplandeWerken As Button
	Private btnProbleem As Button
	Private btnWerk As Button
	Private btnWerkPauze As Button
End Sub
Sub Logout(s_key As String)
	Dim phoneid As String
	
	
	phoneid = GetDeviceId
	job2.Initialize("LogOut", Me)
  	job2.Download2("http://192.168.0.179/robomobilephp/user.php", Array As String("tag", "logout", "phoneid", phoneid, "encryptedkey", s_key))
	
	
End Sub 
Sub GetWerkenGepauzeerd()
	Dim userid As Int
	
	userid = Main.pubGebruiker.GetId()
	
	
	
	
	job2.Initialize("getcountwerkengepauzeerd", Me)
  	job2.Download2("http://192.168.0.179/robomobilephp/werken.php", Array As String("tag", "getcountwerkengepauzeerd", "userid", userid))
	
End Sub
Sub JobDone (job As HttpJob)
  Log("JobName = " & job.JobName & ", Success = " & job.Success)
  If job.Success = True Then
      Select job.JobName
        
		Case "LogOut"
			
			File.Delete(File.DirInternal, "robomobile.txt") 
			StartActivity("Main")
			
			
		Case "getcountwerkengepauzeerd"
        Case "OtherFunction"
            'Do some things
      End Select
  Else
      Log("Error: " & job.ErrorMessage)
      ToastMessageShow("Error: " & job.ErrorMessage, True)
  End If
  job.Release
End Sub
Sub GetDeviceId As String
   Dim r As Reflector
   Dim Api As Int
   Api = r.GetStaticField("android.os.Build$VERSION", "SDK_INT")
   If Api < 9 Then
      'Old device
      If File.Exists(File.DirInternal, "__id") Then
         Return File.ReadString(File.DirInternal, "__id")
      Else
         Dim id As Int
         id = Rnd(0x10000000, 0x7FFFFFFF)
         File.WriteString(File.DirInternal, "__id", id)
         Return id
      End If
   Else
      'New device
      Return r.GetStaticField("android.os.Build", "SERIAL")
   End If
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("startlayout")
	Activity.Title = "Robomobile : " & Main.pubGebruiker.GetNaam() & ", " & Main.pubGebruiker.GetVoornaam
	Activity.AddMenuItem("Log out","mnuLogOut")
	
	'Dim bm As BitmapDrawable
	'bm.Initialize(LoadBitmap(File.DirAssets,"ic_action_alarm.png"))
	'ib1.Text = "Button"
	'ib1.IconPadding = 50
	'ib1.setIcon(True,bm)
	
	
	btnGeplandeWerken.Text = "Geplande werken"
	btnListGeplandeWerken.text = "Bekijk geplande werken"
	btnProbleem.Text = "Probleem"
	btnWerk.Text = "Werk"
	btnWerkPauze.Text = "Gepauzeerde werken"
	
	badgeBTN1.Initialize("badge", btnWerkPauze, "5", Colors.Red, False)
	badgeBTN1.setPadding(15,5,15,5)
	badgeBTN1.Position = POSITION_TOP_RIGHT
	badgeBTN1.Margin = 30
	badgeBTN1.Tag = "btnWerkPauze"
	badgeBTN1.Show
	
End Sub
Sub mnuLogOut_click()
	If File.Exists(File.DirInternal, "robomobile.txt") = True Then  
		Dim mykey As String
		mykey = ReadKeyInFile
		Logout(mykey)
	End If
End Sub 
Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub
Sub ReadKeyInFile() As String
Dim myreturn As String

Dim mymap As Map
mymap.Initialize
mymap = File.ReadMap(File.DirInternal,"robomobile.txt")
myreturn = mymap.Get("Key")
Return myreturn

End Sub



Sub lstKeuze_ItemClick (Position As Int, Value As Object)
	
End Sub
Sub btnWerkPauze_Click()
	
End Sub
Sub btnWerk_Click()
	
End Sub
Sub btnProbleem_Click()
	
End Sub
Sub btnListGeplandeWerken_Click()
	
End Sub
Sub btnGeplandeWerken_Click()
	
End Sub